<?php
	
	class moec2f_Messages
	{
		// ip-blocking messages
		
		
		const NONCE_ERROR						= "Nonce Error.";
		
		
		//login-security messages
		
		const TWOFA_ENABLED						= "Two Factor protection has been enabled.";
		const TWOFA_DISABLED					= "Two Factor protection has been disabled.";
		
		
		const TWO_FA_ON_LOGIN_PROMPT_ENABLED		= "2FA prompt on the WP Login Page Enabled.";
		const TWO_FA_ON_LOGIN_PROMPT_DISABLED		= "2FA prompt on the WP Login Page Disabled.";
		const TWO_FA_PROMPT_LOGIN_PAGE			= 'Please disable Login with 2nd facor only to enable 2FA prompt on login page.';

		
		
	
		//support form 
		const SUPPORT_FORM_VALUES				= "Please submit your query along with email.";
		const SUPPORT_FORM_SENT					= "Thanks for getting in touch! We shall get back to you shortly.";
		const SUPPORT_FORM_ERROR				= "Your query could not be submitted. Please try again.";
        // request demo form
        const DEMO_FORM_ERROR					= "Please fill out all the fields.";
        //feedback Form
		const DEACTIVATE_PLUGIN                 		= "Plugin deactivated successfully";

		//common messages
		const UNKNOWN_ERROR						= "Error processing your request. Please try again.";
		const CONFIG_SAVED						= "Configuration saved successfully.";
		const REQUIRED_FIELDS					= "Please enter all the required fields";
		const RESET_PASS						= "You password has been reset successfully and sent to your registered email. Please check your mailbox.";
		
		

		//registration messages
		const PASS_LENGTH						= "Choose a password with minimum length 6.";
		
		const OTP_SENT							= 'A passcode is sent to {{method}}. Please enter the otp below.';
		const REG_SUCCESS						= 'Your account has been retrieved successfully.';
		const ACCOUNT_EXISTS					= 'You already have an account with miniOrange. Please enter a valid password.';
		
		
		
		
		
		const INVALID_OTP 						= 'Invalid one time passcode. Please enter a valid passcode.';
		
		const PASS_MISMATCH						= 'Password and Confirm Password do not match.';
            
		
	
        const INVALID_EMAIL  					= 'Please enter valid Email ID';
       
      
       
       
      
        const DELETE_FILE 						= 'Someone has deleted the backup by going to directory please refreash the page';
        const NOT_ADMIN							= 'You are not a admin. Only admin can download';
      
       
      
       
       
       
       
      

		public static function showMessage($message , $data=array())
		{
			$message = constant( "self::".$message );
		    foreach($data as $key => $value)
		    {
		        $message = str_replace("{{" . $key . "}}", $value , $message);
		    }
		    return $message;
		}

	}

?>
